#ifndef CMS_UTIL_H
#define CMS_UTIL_H

#include "cms_err.h"

//Return 1 if a file exists, 0 if it doesn't
int cms_util_file_exists(char* fname);

//Create a file
cms_err* cms_util_file_create(char* fname);

//Copy a file
cms_err* cms_util_file_copy(char* fname1, char* fname2);

//Read a file into a string
char* cms_util_file_read(char* fname);

//Recursively copy a directory
cms_err* cms_util_dir_copy_recursive(char* dir1, char* dir2);

//Join together two paths
char* cms_util_path_join(char* str1, char* str2);

#endif
